{
  "openapi": "3.0.1",
  "info": {
    "title": "Developer API",
    "version": "1.0.0"
  },
  "paths": {
    "/api/v1/ad-spy/search": {
      "post": {
        "tags": [
          "AdSpy"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchSearchTermsRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchSearchTermsRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchSearchTermsRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchSearchTermsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/ad-spy/{SearchTermValue}/brands": {
      "get": {
        "tags": [
          "AdSpy"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "SearchTermValue",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTermBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTermBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTermBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/ad-spy/sponsored-products": {
      "get": {
        "tags": [
          "AdSpy"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "searchTermValue",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "brandName",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTermProduct, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTermProduct, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SearchTermProduct, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/brands/search": {
      "post": {
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchBrandsRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchBrandsRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchBrandsRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchBrandsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Brand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Brand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Brand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v1/brands/{BrandName}/market-share": {
      "get": {
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "BrandName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategoryBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategoryBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategoryBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v1/brands/{BrandName}/sellers": {
      "get": {
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "BrandName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverage, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverage, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverage, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v1/brands/{BrandName}/ad-spy": {
      "get": {
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "BrandName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandSearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandSearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandSearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v1/brands/{BrandName}/history/sales": {
      "post": {
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "BrandName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.EstimatedUnitSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.EstimatedUnitSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.EstimatedUnitSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v1/brands/{BrandName}/history/sales-by-subcategories": {
      "post": {
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "BrandName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryBySubcategoriesRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryBySubcategoriesRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryBySubcategoriesRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryBySubcategoriesRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategorySalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategorySalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategorySalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v1/brands/{BrandName}/history/top-products/sales": {
      "post": {
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "BrandName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesHistoryRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesHistoryRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesHistoryRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesHistoryRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v1/brands/{BrandName}/history/top-products/sales-rank": {
      "post": {
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "BrandName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesRankHistoryRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesRankHistoryRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesRankHistoryRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesRankHistoryRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesRankHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesRankHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesRankHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v2/brands/search": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchBrandsV2Request"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchBrandsV2Request"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchBrandsV2Request"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchBrandsV2Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Brand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Brand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Brand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v2/brands/market-share": {
      "get": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "brandName",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategoryBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategoryBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategoryBrand, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v2/brands/sellers": {
      "get": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "brandName",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverage, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverage, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverage, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v2/brands/ad-spy": {
      "get": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "brandName",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandSearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandSearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandSearchTerm, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v2/brands/history/sales": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryV2Request"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryV2Request"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryV2Request"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryV2Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.EstimatedUnitSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.EstimatedUnitSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.EstimatedUnitSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v2/brands/history/sales-by-subcategories": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryBySubcategoriesV2Request"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryBySubcategoriesV2Request"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryBySubcategoriesV2Request"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandSalesHistoryBySubcategoriesV2Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategorySalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategorySalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.SubcategorySalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v2/brands/history/top-products/sales": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesHistoryV2Request"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesHistoryV2Request"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesHistoryV2Request"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesHistoryV2Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v2/brands/history/top-products/sales-rank": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesRankHistoryV2Request"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesRankHistoryV2Request"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesRankHistoryV2Request"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandTopProductsSalesRankHistoryV2Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesRankHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesRankHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductSalesRankHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/api/v2/brands/history/scope": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandScope, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandScope, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandScope, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v2/brands/history/scope/by-subcategories": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeBySubcategoriesRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeBySubcategoriesRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeBySubcategoriesRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeBySubcategoriesRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandScopeBySubcategory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandScopeBySubcategory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandScopeBySubcategory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v2/brands/history/scope/top-products": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeTopProductsRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeTopProductsRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeTopProductsRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandScopeTopProductsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.TopProductScope, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.TopProductScope, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.TopProductScope, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v2/brands/history/scope/by-sellers": {
      "post": {
        "tags": [
          "BrandsV2"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandCoverageByBrandHistoryRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandCoverageByBrandHistoryRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandCoverageByBrandHistoryRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetBrandCoverageByBrandHistoryRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverageBySellerHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverageBySellerHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.BrandCoverageBySellerHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/custom-segments/search": {
      "post": {
        "tags": [
          "CustomSegments"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchCustomSegmentsRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchCustomSegmentsRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchCustomSegmentsRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchCustomSegmentsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.CustomSegment, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.CustomSegment, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.CustomSegment, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/geobuybox/request": {
      "post": {
        "tags": [
          "GeoBuyBox"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.RequestGeoBuyBoxRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.RequestGeoBuyBoxRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.RequestGeoBuyBoxRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.RequestGeoBuyBoxRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.RequestGeoBuyBoxResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.RequestGeoBuyBoxResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.RequestGeoBuyBoxResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/geobuybox": {
      "get": {
        "tags": [
          "GeoBuyBox"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "requestId",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.GetGeoBuyBoxResult"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.GetGeoBuyBoxResult"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.GetGeoBuyBoxResult"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/products/search": {
      "post": {
        "tags": [
          "Products"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchProductsRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchProductsRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchProductsRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.SearchProductsRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Product, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Product, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.Product, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/products/{Asin}/history": {
      "get": {
        "tags": [
          "Products"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "Asin",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ProductHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/products/{Asin}/history/scope": {
      "post": {
        "tags": [
          "Products"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "Asin",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetProductHistoryScopeRequest"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetProductHistoryScopeRequest"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetProductHistoryScopeRequest"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Bb.Pub.GetProductHistoryScopeRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ScopeHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ScopeHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/Bb.Pub.PagedSearchResponse`1[[Bb.Pub.ScopeHistory, Bb.Pub.App.Models, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request (RFC 9457 problem details). 'errors' is keyed by the error code for a query parameter, or by the field name for a request body that failed to bind; 'traceId' identifies the request. Query parameter codes: marketplace_required, invalid_marketplace, invalid_page_size, invalid_page_id, invalid_sort_by, invalid_sort_order.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/products/{Asin}/offers": {
      "get": {
        "tags": [
          "Products"
        ],
        "parameters": [
          {
            "name": "X-Api-Key",
            "in": "header",
            "required": true
          },
          {
            "name": "Asin",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "marketplace",
            "in": "query",
            "required": true,
            "schema": {
              "enum": [
                "US",
                "UK",
                "IT",
                "DE",
                "CA",
                "MX",
                "FR",
                "ES",
                "IN",
                "AU",
                "JP",
                "AE"
              ]
            }
          },
          {
            "name": "page[id]",
            "in": "query"
          },
          {
            "name": "page[size]",
            "in": "query"
          },
          {
            "name": "sort[by]",
            "in": "query"
          },
          {
            "name": "sort[order]",
            "in": "query",
            "schema": {
              "enum": [
                "asc",
                "desc"
[...]
